package de.ozgcloud.user.recipient;

import static de.ozgcloud.user.User.*;

import java.util.List;

import de.ozgcloud.common.logging.OzgCloudLogging;
import de.ozgcloud.user.User;
import de.ozgcloud.user.settings.NotificationsSendFor;
import io.quarkus.mongodb.panache.PanacheMongoRepository;
import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
@OzgCloudLogging
class RecipientRepository implements PanacheMongoRepository<User> {

	private static final String SEARCH_RECIPIENT_QUERY = ORGANISATIONS_EINHEIT_IDS_FIELD + " = ?1 and " + NOTIFICATION_SEND_FOR_FIELD + " = ?2";

	public List<User> findByOrganisationsEinheitId(String organisationseinheitId) {
		return find(SEARCH_RECIPIENT_QUERY, organisationseinheitId, NotificationsSendFor.ALL.name()).list();
	}
}